package net.pterodactylus.irc;

import javax.net.SocketFactory;

import com.google.common.eventbus.EventBus;

/**
 * Default {@link ConnectionFactory} implementation that uses plain sockets to create connections.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class DefaultConnectionFactory implements ConnectionFactory {

	private final EventBus eventBus;

	public DefaultConnectionFactory(EventBus eventBus) {
		this.eventBus = eventBus;
	}

	@Override
	public Connection createConnection(String hostname, int port) {
		return new DefaultConnection(eventBus, SocketFactory.getDefault(), hostname, port);
	}

}
