/*
 * XdccDownloader - NicknameChooser.java - Copyright © 2013 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.irc;

/**
 * A nickname chooser is used to get a new nickname. It is used by the {@link
 * DefaultConnection} to retrieve the initial nickname of the connection, and it’s also
 * used in case a nick change results in a “nickname already in use” error.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public interface NicknameChooser {

	/**
	 * Returns a nickname to use.
	 *
	 * @return A nickname
	 */
	String getNickname();

}
